@import '../../../theme/general/params.scss';

.contact_form
{
  display: grid;
  grid-template-columns: repeat(2,1fr);
  gap: 17px 21px;
 
  &__element
  {
    display: flex;
    flex-direction: column;
    justify-content: baseline;
  }

  &__field
  {
    font-family: $font-primary;
    // background-color: $bg-primary;
    background-color: #FAFAFA;
    padding: 12px 30px 12px 31px;
    font-size: 16px;
    border: none;
    outline: none;
   
  }

  &__field::placeholder
  {
    color: rgba(101, 101, 101, 0.74);
    text-transform: uppercase;
  }

  &__field_error
  {
    transition: .5s ease;
    border: 1px solid $text-color-fourth;
  }

  &__error
  {
    color: $text-color-fourth;
    text-align: center;
  }

  &__textarea
  {
    resize: none;
  }

  &__full
  {
    grid-column: span 2;
  }

  &__submit
  {
    background-color: $bg-third;
    // border: none
  }
}